SecondaryStructureFeatureRenderer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.SecondaryStructureFeatureRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class SecondaryStructureFeatureRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.SequenceRendererWrapper
              org.biojava.bio.gui.sequence.FilteringRenderer
                  org.biojava.bio.gui.sequence.GlyphFeatureRenderer
                      org.biojava.bio.gui.sequence.SecondaryStructureFeatureRenderer

All Implemented Interfaces:
  Serializable, FeatureRenderer, SequenceRenderer, Changeable

    public class SecondaryStructureFeatureRenderer

extends GlyphFeatureRenderer

A GlyphRenderer subclass that specificatlly handles Features pertaining to Secondary Structure (Helices, Turns and Strands).

Since:
  1.5
Author:
  Mark Southern
See Also:
  `GlyphFeatureRenderer`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.gui.sequence.SequenceRenderer
`SequenceRenderer.RendererForwarder`

Field Summary

Fields inherited from class org.biojava.bio.gui.sequence.FilteringRenderer
`filter, FILTER, recurse, RECURSE`

Fields inherited from class org.biojava.bio.gui.sequence.SequenceRendererWrapper
`RENDERER`

Constructor Summary
`SecondaryStructureFeatureRenderer()`

Method Summary

Methods inherited from class org.biojava.bio.gui.sequence.GlyphFeatureRenderer
`addFilterAndGlyph, getDepth, processMouseEvent, renderFeature, setDepth`

Methods inherited from class org.biojava.bio.gui.sequence.FilteringRenderer
`getChangeSupport, getContext, getFilter, getMinimumLeader, getMinimumTrailer, getRecurse, hasListeners, paint, processMouseEvent, setFilter, setRecurse, toString`

Methods inherited from class org.biojava.bio.gui.sequence.SequenceRendererWrapper
`getRenderer, setRenderer`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecondaryStructureFeatureRenderer

    public SecondaryStructureFeatureRenderer()
                                      throws ChangeVetoException

Throws:
  `ChangeVetoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD